Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAUU2

    java.lang.Object
      org.netlib.lapack.DLAUU2

    public class DLAUU2

extends java.lang.Object

    DLAUU2 is a simplified interface to the JLAPACK routine dlauu2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAUU2 computes the product U * U' or L' * L, where the triangular
     *  factor U or L is stored in the upper or lower triangular part of
     *  the array A.
     *
     *  If UPLO = 'U' or 'u' then the upper triangle of the result is stored,
     *  overwriting the factor U in A.
     *  If UPLO = 'L' or 'l' then the lower triangle of the result is stored,
     *  overwriting the factor L in A.
     *
     *  This is the unblocked form of the algorithm, calling Level 2 BLAS.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the triangular factor stored in the array A
     *          is upper or lower triangular:
     *          = 'U':  Upper triangular
     *          = 'L':  Lower triangular
     *
     *  N       (input) INTEGER
     *          The order of the triangular factor U or L.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the triangular factor U or L.
     *          On exit, if UPLO = 'U', the upper triangle of A is
     *          overwritten with the upper triangle of the product U * U';
     *          if UPLO = 'L', the lower triangle of A is overwritten with
     *          the lower triangle of the product L' * L.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -k, the k-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLAUU2()`

Method Summary
`static void` | `DLAUU2(java.lang.String uplo, int n, double[][] a, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAUU2

    public DLAUU2()

Method Detail

### DLAUU2

    public static void DLAUU2(java.lang.String uplo,
                              int n,
                              double[][] a,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD